Notifications
Get my notification preferences
Returns the authenticated admin’s category/event switches and optional signed credentials for both the shared workspace feed and personal feed. Credentials are null when subscriber HMAC is unavailable. The response is private and must not be cached. Category/event/channel keys come from this catalog. Requires permission: notification_preferences_self_service.
GET
/
admin
/
notification-preferences
Get my notification preferences
curl --request GET \
--url https://api.gratona.com/v1/admin/notification-preferences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/notification-preferences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/notification-preferences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/notification-preferences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/notification-preferences")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/notification-preferences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"audience": "admin",
"novu_subscriber": {
"subscriber_id": "client_12_user_42",
"subscriber_hash": "example-hmac-value"
},
"novu_user_subscriber": {
"subscriber_id": "client_12_user_42",
"subscriber_hash": "example-hmac-value"
},
"catalog": [
{
"key": "collaboration",
"label": "Team collaboration",
"description": "Direct mentions in comments on records you can access.",
"criticality": "standard",
"requires_disable_warning": false,
"channels": [
"email"
],
"enabled": {},
"mappings": {
"novu_templates": [
"<string>"
],
"activity_actions": [
"<string>"
]
},
"events": [
{
"key": "mentioned",
"label": "Someone mentions you",
"channels": [
"email"
],
"enabled": {},
"novu_workflow": "collaboration-mention",
"mappings": {
"email_triggers": [
"<string>"
],
"novu_event_types": [
"<string>"
],
"novu_templates": [
"<string>"
],
"activity_actions": [
"<string>"
]
}
}
]
}
]
}{
"message": "Unauthorized",
"status": "error"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
⌘I
Get my notification preferences
curl --request GET \
--url https://api.gratona.com/v1/admin/notification-preferences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/notification-preferences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/notification-preferences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/notification-preferences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/notification-preferences")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/notification-preferences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"audience": "admin",
"novu_subscriber": {
"subscriber_id": "client_12_user_42",
"subscriber_hash": "example-hmac-value"
},
"novu_user_subscriber": {
"subscriber_id": "client_12_user_42",
"subscriber_hash": "example-hmac-value"
},
"catalog": [
{
"key": "collaboration",
"label": "Team collaboration",
"description": "Direct mentions in comments on records you can access.",
"criticality": "standard",
"requires_disable_warning": false,
"channels": [
"email"
],
"enabled": {},
"mappings": {
"novu_templates": [
"<string>"
],
"activity_actions": [
"<string>"
]
},
"events": [
{
"key": "mentioned",
"label": "Someone mentions you",
"channels": [
"email"
],
"enabled": {},
"novu_workflow": "collaboration-mention",
"mappings": {
"email_triggers": [
"<string>"
],
"novu_event_types": [
"<string>"
],
"novu_templates": [
"<string>"
],
"activity_actions": [
"<string>"
]
}
}
]
}
]
}{
"message": "Unauthorized",
"status": "error"
}